Bug 31768 - cvs admin -n aborts if tag not found
Summary: cvs admin -n aborts if tag not found
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-14 07:31 UTC by Stephen Rasku
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-08 12:33:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script to reproduce the bug. (868 bytes, text/plain)
2001-03-14 07:32 UTC, Stephen Rasku
no flags Details
This patch should fix the bug (504 bytes, patch)
2001-03-14 07:37 UTC, Stephen Rasku
no flags Details | Diff

Description Stephen Rasku 2001-03-14 07:31:55 UTC
Tested for cvs-1.11-3 on Fisher (not sure if I reported against the right
version above).

If you do:

        cvs admin -n<new tag>:<old tag>
        
from the top of a workspace, it will abort with the following error if 
<old tag> is not found in a file:

RCS file: /ash/cvsroot/tgx/3rdparty/belcarra/exim/tgx.postinstall.sh,v
cvs [server aborted]: tag `exim' does not exist

It should, instead, make no modifications to that file and continue on 
with the rest of the files.

I will attach a script that reproduces the problem.

Comment 1 Stephen Rasku 2001-03-14 07:32:51 UTC
Created attachment 12644 [details]
Script to reproduce the bug.

Comment 2 Stephen Rasku 2001-03-14 07:37:26 UTC
Created attachment 12645 [details]
This patch should fix the bug

Comment 3 Stephen Rasku 2001-03-14 07:38:34 UTC
The above patch was created and tested for cvs 1.10.8 on Solaris.  It should
work for this version as well.


Note You need to log in before you can comment on or make changes to this bug.